Package org.apache.maven.scm.provider.accurev

## Class FileDifference

- java.lang.Object
- - org.apache.maven.scm.provider.accurev.FileDifference

    public class FileDifference
    extends java.lang.Object

### Constructor Summary

Constructors
`FileDifference()`
`FileDifference​(long elementId, java.lang.String newPath, java.lang.String newVersion, java.lang.String oldPath, java.lang.String oldVersion)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`long` `getElementId()`
`java.io.File` `getNewFile()`
`java.lang.String` `getNewVersionSpec()`
`java.io.File` `getOldFile()`
`java.lang.String` `getOldVersionSpec()`
`int` `hashCode()`
`void` `setElementId​(long elementId)`
`void` `setNewVersion​(java.lang.String path, java.lang.String version)`
`void` `setOldVersion​(java.lang.String path, java.lang.String version)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FileDifference

    public FileDifference​(long elementId,
                          java.lang.String newPath,
                          java.lang.String newVersion,
                          java.lang.String oldPath,
                          java.lang.String oldVersion)

#### FileDifference

    public FileDifference()

### Method Detail

#### getOldVersionSpec

    public java.lang.String getOldVersionSpec()

#### getOldFile

    public java.io.File getOldFile()

#### getNewVersionSpec

    public java.lang.String getNewVersionSpec()

#### getNewFile

    public java.io.File getNewFile()

#### getElementId

    public long getElementId()

#### setElementId

    public void setElementId​(long elementId)

#### setNewVersion

    public void setNewVersion​(java.lang.String path,
                              java.lang.String version)

#### setOldVersion

    public void setOldVersion​(java.lang.String path,
                              java.lang.String version)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`